staden for Debian
-----------------

There seem to be some issues which need to be solved to gain full
functionality.  However, for the moment most components of staden
are working and so the following items could be turned into
minor bug reports item by item.  This might lead to better chances
for testing rather than leaving the packaging hanging around in
SVN only.

   * Help does not work because of missing files
     couldn't open "/usr/share/doc/staden/manual/gap4.index": no such file or directory
   * $ staden spin.
     <date> EMBOSS: data directory not found
   * $ staden create_emboss_files.
     no files matched glob pattern "/*.acd"
        while executing
     "glob $acd_dir/*.acd"
        (procedure "process_files" line 3)
        invoked from within
     "process_files $acd_dir $acdtcl_dir"
        (file "/usr/share/staden/tcl/spin_emboss/create_emboss_files.tcl" line 140)

     Hint: spin_emboss/create_emboss_files.tcl:
             set acd [file dirname $dir]/../share/EMBOSS/acd
           I somehow suspect that /share/EMBOSS needs to be dropped


Name conflict with spin (bug #826684)
=====================================

At http://bugs.debian.org/826684 between the one executable of
staden and the package spin.
The short story is: We are facing a name clash in the Free Software
universe and we have to circumvent this somehow.  Following the
arguing in the bug discussion the plink package has to do the name
change.  To summarize, we have:

  1. The spin executable
        /usr/lib/staden/bin/spin
     where all executables of the staden package reside anyway
  2. The wrapper that was provided in /usr/bin/spin is removed
     in favour of
        /usr/lib/debian-med/bin/spin

If you want to use spin right from the cpmman line just set the
PATH variable like

  export PATH=/usr/lib/debian-med/bin:$PATH

If a user creates a file

    ${HOME}/.blends

with the content

# Add Blend names here which should prepend its bin dir to PATH
debian-med

the med-config package automatically adds this PATH to the users
environment (when using bash).


 -- Andreas Tille <tille@debian.org>  Thu, 14 Jul 2016 20:04:52 +0200
